XMLResponseParser.KnownType (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.impl.XMLResponseParser.KnownType class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.client.solrj.impl
Enum XMLResponseParser.KnownType

    java.lang.Object
      java.lang.Enum<XMLResponseParser.KnownType>
          org.apache.solr.client.solrj.impl.XMLResponseParser.KnownType

All Implemented Interfaces:
  Serializable, Comparable<XMLResponseParser.KnownType>

Enclosing class:
  XMLResponseParser

    protected static enum XMLResponseParser.KnownType

extends Enum<XMLResponseParser.KnownType>

Enum Constant Summary
`ARR`
`BOOL`
`DATE`
`DOC`
`DOUBLE`
`FLOAT`
`INT`
`LONG`
`LST`
`NULL`
`RESULT`
`STR`

Method Summary
`static XMLResponseParser.KnownType` | `get(String v)`
`abstract Object` | `read(String txt)`
`static XMLResponseParser.KnownType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XMLResponseParser.KnownType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STR

    public static final XMLResponseParser.KnownType STR

### INT

    public static final XMLResponseParser.KnownType INT

### FLOAT

    public static final XMLResponseParser.KnownType FLOAT

### DOUBLE

    public static final XMLResponseParser.KnownType DOUBLE

### LONG

    public static final XMLResponseParser.KnownType LONG

### BOOL

    public static final XMLResponseParser.KnownType BOOL

### NULL

    public static final XMLResponseParser.KnownType NULL

### DATE

    public static final XMLResponseParser.KnownType DATE

### ARR

    public static final XMLResponseParser.KnownType ARR

### LST

    public static final XMLResponseParser.KnownType LST

### RESULT

    public static final XMLResponseParser.KnownType RESULT

### DOC

    public static final XMLResponseParser.KnownType DOC

Method Detail

### values

    public static final XMLResponseParser.KnownType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(XMLResponseParser.KnownType c : XMLResponseParser.KnownType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static XMLResponseParser.KnownType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### read

    public abstract Object read(String txt)

### get

    public static XMLResponseParser.KnownType get(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD